//
//  ConfigViewController.swift
//  qPadLab
//
//  Created by David Arcos Gutierrez on 9/5/18.
//  Copyright © 2018 David Arcos Gutierrez. All rights reserved.
//

import UIKit

class ConfigViewController: UIViewController {

    @IBOutlet weak var navBarView: UIView?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do initial interface setup and general style improvements
        interfaceSetup()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    /* ------------------------------------------------- */
    /*                BUTTON ACTIONS                     */
    /* ------------------------------------------------- */
    
    @IBAction func closeButton (sender: UIButton) {
        self.dismiss(animated:true, completion:nil)
    }
    
    @IBAction func clearTutorialShownData() {
        showToast(message: "The tutorial must be shown")
        let defaults = UserDefaults.standard
        defaults.removeObject(forKey: "qPadLab_bool_tutorialShown")
    }
    
    @IBAction func changePreferedLanguage() {
        
        //TODO: save langauge on user defaults
        if CodeTranslator.shared.preferredLanguage.hashValue == QuantumLanguage.QASM.hashValue {
            showToast(message: "QScript selected")
            CodeTranslator.shared.preferredLanguage = .QScript
        }else{
            showToast(message: "QASM selected")
            CodeTranslator.shared.preferredLanguage = .QASM
        }
    }
    
    /* ------------------------------------------------- */
    /*                  INTERFACE                        */
    /* ------------------------------------------------- */
    func interfaceSetup (){
        
        if let v = navBarView {
            StyleManager.shared.setBottomShadowToView(view: v)
        }
    }

}
