//
//  ExportationViewController.swift
//  qPadLab
//
//  Created by David Arcos Gutierrez on 9/5/18.
//  Copyright © 2018 David Arcos Gutierrez. All rights reserved.
//

import UIKit

class ExportationViewController: UIViewController {

    public var currentCell: QCell = DataManager.shared.currentCell
    
    @IBOutlet weak var exportationCodePreview: UITextView?
    @IBOutlet weak var navBarView: UIView?
    
    override func viewDidLoad() {
        super.viewDidLoad()
        
        // Do initial interface setup and general style improvements
        interfaceSetup()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    /* ------------------------------------------------- */
    /*                BUTTON ACTIONS                     */
    /* ------------------------------------------------- */
    
    @IBAction func closeButton (sender: UIButton) {
        self.dismiss(animated:true, completion:nil)
    }
    
    @IBAction func generateCodeButton (sender: UIButton) {
        
        showToast(message: "Quantum code has been copied to clipboard")
        CodeTranslator.shared.pasteBoardCode(cell: currentCell)
        
        /*
         let file = "quantumQASMScript.txt"
         
         let text = CodeTranslator.shared.createCodeString(cell: currentCell)
         
         if let dir = FileManager.default.urls(for: .documentDirectory, in: .userDomainMask).first {
         
         let path = dir.appendingPathComponent(file)
         print(path)
         
         //writing
         do {
         try text.write(to: path, atomically: false, encoding: String.Encoding.utf8)
         let docController = UIDocumentInteractionController(url: path)
         docController.presentOptionsMenu(from: sender.frame, in:self.view, animated:true)
         }catch {/* error handling here */}
         }*/
    }
    
    /* ------------------------------------------------- */
    /*                  INTERFACE                        */
    /* ------------------------------------------------- */
    func interfaceSetup (){
        
        if let v = exportationCodePreview {
            v.text = CodeTranslator.shared.createCodeString(cell: currentCell)
            StyleManager.shared.setBottomShadowToView(view: v)
        }
        
        if let v = navBarView {
            StyleManager.shared.setBottomShadowToView(view: v)
        }
    }
}
