//
//  HelpViewController.swift
//  qPadLab
//
//  Created by David Arcos Gutierrez on 9/5/18.
//  Copyright © 2018 David Arcos Gutierrez. All rights reserved.
//

import UIKit

class HelpViewController: UIViewController {

    @IBOutlet weak var navBarView: UIView?
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Do initial interface setup and general style improvements
        interfaceSetup()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }
    
    /* ------------------------------------------------- */
    /*                BUTTON ACTIONS                     */
    /* ------------------------------------------------- */
    
    @IBAction func closeButton (sender: UIButton) {
        self.dismiss(animated:true, completion:nil)
    }
    
    @IBAction func openIBMQuantumExperience (sender: UIButton) {
        openUrl(url: "https://quantumexperience.ng.bluemix.net/qx/qasm")
    }
    
    @IBAction func openGoogleQuantumPlayground (sender: UIButton) {
        openUrl(url: "http://www.quantumplayground.net/#/playground/5080491044634624")
    }
    
    /* ------------------------------------------------- */
    /*                  INTERFACE                        */
    /* ------------------------------------------------- */
    func interfaceSetup (){
        
        if let v = navBarView {
            StyleManager.shared.setBottomShadowToView(view: v)
        }
    }
    
    /* ------------------------------------------------- */
    /*               INTERNAL METHODS                    */
    /* ------------------------------------------------- */
    func openUrl(url:String!) {
    
        guard let url = URL(string: url) else {
            return
        }
        
        if UIApplication.shared.canOpenURL(url) {
            UIApplication.shared.open(url, options: [:], completionHandler: nil)
        }
    }
}
