//
//  StyleManager.swift
//  qPadLab
//
//  Created by David Arcos Gutierrez on 24/4/18.
//  Copyright © 2018 David Arcos Gutierrez. All rights reserved.
//

import UIKit

public enum QBlockStyle{
    case normal
    case highlighted
    case editing
    case outsite
    case wrongPlaced
    case onGarbage
}

public class StyleManager: NSObject {

    static let shared = StyleManager()
    
    // Grid parameters
    var generalViewPadding = 20.0
    var horitzontalPoints = 60
    var maxVerticalPoints = 80
    var dotSize = 4.0
    
    // Method for setting a shadow to views (material design style)
    public func setBottomShadowToView(view: UIView)
    {
        view.layer.masksToBounds = false
        view.layer.shadowOffset = CGSize(width:0.0,
                                         height:2.0)
        
        view.layer.cornerRadius = 3.0
        view.layer.shadowOpacity = 0.2
        view.backgroundColor =  UIColor.white //optional
    }
    
    // Method for applying different styles depending on gate state (QBlockStyle)
    public func setGateBlockStyle(gate:QBlockView?, style:QBlockStyle){
        
        if let v = gate {
            switch(style) {
            case .onGarbage:
                v.backgroundColor = UIColor.red
            case .highlighted:
                v.backgroundColor = UIColor.init(red: 0.0,
                                                     green: 0.0,
                                                     blue: 0.0,
                                                     alpha: 0.1)
            case .editing:
                v.backgroundColor = UIColor.gray
            case .outsite:
                v.backgroundColor = UIColor.yellow
            case .wrongPlaced:
                v.backgroundColor = UIColor.orange
            default:
                v.backgroundColor = UIColor.clear
            }
        }
    }
}
