//
//  ViewController.swift
//  qPadLab
//
//  Created by David Arcos Gutierrez on 12/4/18.
//  Copyright © 2018 David Arcos Gutierrez. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    @IBAction func openCellTest(sender: UIButton) {
        
        // Open Main View Controller.
        let vc = MainViewController(
            nibName: "MainViewController",
            bundle: nil)
        self.present(vc, animated:true, completion:nil)
        
        // Set tutorial shown flag to true.
        DataManager.shared.setTutorialShown()
    }
}

extension UIViewController {
    
    // To show temporal messages on the current view controller
    func showToast(message : String) {
        
        let toastWidth = CGFloat(500)
        let toastLabel = UILabel(frame: CGRect(x: (self.view.frame.size.width - toastWidth)/2, y: self.view.frame.size.height-100, width: toastWidth, height: 35))
        toastLabel.backgroundColor = UIColor.gray
        toastLabel.textColor = UIColor.white
        toastLabel.textAlignment = .center
        toastLabel.text = message
        toastLabel.alpha = 1.0
        toastLabel.layer.cornerRadius = 15
        toastLabel.clipsToBounds  =  true
        self.view.addSubview(toastLabel)
        UIView.animate(withDuration: 0.5, delay: 2.5, options: .curveEaseIn, animations: {
            toastLabel.alpha = 0.0
        }, completion: {(isCompleted) in
            toastLabel.removeFromSuperview()
        })
    }
}

